diff --new-file -urp mini_fo-0.6.1/fistdev.mk mini_fo-0.6.1-zaurus/fistdev.mk
--- mini_fo-0.6.1/fistdev.mk	1970-01-01 01:00:00.000000000 +0100
+++ mini_fo-0.6.1-zaurus/fistdev.mk	2005-09-21 16:07:56.000000000 +0200
@@ -0,0 +1,3 @@
+KERNELVERSION=2.4
+TOPINC=-I/home/darkstar/zaurus/kernel/linux-cacko-1.22.brew/include
+EXTRACFLAGS=-w -mapcs -fno-common -pipe -mapcs-32 -march=armv4 -Wa,-mxscale -mtune=strongarm -mshort-load-bytes -msoft-float
diff --new-file -urp mini_fo-0.6.1/Makefile mini_fo-0.6.1-zaurus/Makefile
--- mini_fo-0.6.1/Makefile	2005-09-21 14:05:21.000000000 +0200
+++ mini_fo-0.6.1-zaurus/Makefile	2005-09-21 16:07:30.000000000 +0200
@@ -27,11 +27,11 @@ MODDIR = /lib/modules/$(shell uname -r)
 -include fistdev.mk
 
 ifeq ($(KERNELVERSION),2.4)
-CFLAGS = -D__KERNEL__ -DMODULE -DFISTGEN -I. ${TOPINC} -O2 -Wall -Wno-unused -g -fno-common -fno-schedule-insns -fno-schedule-insns2 -fno-strict-aliasing -msoft-float -Werror 
+CFLAGS = -D__KERNEL__ -DMODULE -DFISTGEN -I. ${TOPINC} ${EXTRACFLAGS} -O2
 ifeq ($(ARCH),um)
 CFLAGS += $(shell cd $(KERNEL_SRC) ; make script 'SCRIPT=@echo $$(CFLAGS)' ARCH=um)
 endif
-UCFLAGS = -DFISTGEN -I. ${TOPINC} -g -O2 -Wall -Wno-unused -Werror
+UCFLAGS = -DFISTGEN -I. ${TOPINC} ${EXTRACFLAGS} -O2
 endif
 
 CC	= $(CROSS_COMPILE)gcc
